Community
cancel
Showing results for 
Search instead for 
Did you mean: 
JamesBS
Beginner
148 Views

Where is ippmmt.lib

I'm try to update some code which uses an older version of the Intel Performance Primitives. I downloaded the latest oneAPI, and found all the library files that the product uses. That library is ippmmt.lib. Anyone know where it went and how I get it?

0 Kudos
5 Replies
NoorjahanSk_Intel
Moderator
113 Views

Hi,

Thanks for reaching out to us.


could you please provide your IPP version.

 Meanwhile, we will look into this issue internally. We will get back to you soon with updates on this.


Thanks & regards

Noorjahan

 



JamesBS
Beginner
102 Views

Hi Noorjahan,

I’m told that our current version of the IPP is 8.2.0. I’m trying to update to the latest which I believe is 2021.2.0.

 

James Bloom-Scheff

Gennady_F_Intel
Moderator
78 Views

James,

since the latest IPP 2021, the multi-threaded (OpenMP) functionalities were deprecated and removed from the package. Please check the IPP Release Notes: https://software.intel.com/content/www/us/en/develop/articles/release-notes-for-oneapi-integrated-pe..., see Unsupported or Discounted Features.

The latest version which supports the multi-threading is IPP 2020.

In the case if you are interesting to get back the multi-threading functionality - please submit the Feature Request to the Intel Online Service Center: https://supporttickets.intel.com/servicecenter?lang=en-US

-Gennady


Andrey_B_Intel
Employee
70 Views

Hi James.

In addition to previous posts the ippMX domain was deprecated. https://software.intel.com/content/www/us/en/develop/articles/intel-ipp-legacy-libraries.html 

Andrey

Gennady_F_Intel
Moderator
37 Views

The issue is closing and we will no longer respond to this thread. If you require additional assistance from Intel, please start a new thread. Any further interaction in this thread will be considered community only.


Reply